{ pkgs, ... }: let
  wrapped = pkgs.writeShellScriptBin "mspaint" ''
    ${pkgs.wine}/bin/wine ${./mspaint.exe}
  '';
in pkgs.makeDesktopItem {
  name = "mspaint";
  desktopName = "mspaint";
  type = "Application";
  exec = "${wrapped}/bin/mspaint";
}